Subject: bug#373: xfce4-notifyd not started at xfce session login

From: Mark Hindley <[email-masked]>
Date: Fri, 31 Jan 2020 14:28:56 +0000

Control: tags -1 debian

On Fri, Jan 31, 2020 at 03:04:13PM +0100, Where all about bugs in Devuan packages is reported wrote:
> >Do you think this is the same as Debian #899377
> >(https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=899377)
> 
> Hi,
> yes this looks the same due to plasma-desktop being installed
> and if I recall correctly notifications were working before
> installing it.
> >Are there any message in /var/log/daemon.log  relating to failed DBus activation
> >start of xfce4-notifyd?
> 
> Yes at the end: Jan 31 14:21:18 devuan dbus-daemon[4160]: [session uid=1002 pid=4158] Activated service 'org.freedesktop.Notifications' failed: Process org.freedesktop.Notifications exited with status 1
> but with no hints about the reason of failure.

Yes, this looks the same.

I know there is no solution to the underlying cause in Debian's #899377 either.
 
> >I also notice that you have plasma-workspace installed as does the reporter in
> >https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=899377#32. He also provides a
> >workaround.
> 
> I did try other notification services: dunst and growl that did work,  but they do not integrate well
> with xfce's notification settings.
> 
> Removing /usr/share/dbus-1/services/org.kde.plasma.Notifications.service don't seem a viable option to me.
> 
> I cannot believe that this dbus services are started alphabetically without checking if they belong
> to the current DE...

Can you modify /usr/share/dbus-1/services/org.kde.plasma.Notifications.service
to check if kde is running?

> Other solutions I can think off:
>
> 1) use a system wide notification daemon for all DE's, rather complicated needs work to integrate well.
> 2) start the daemons in /etc/xdg/autostart where they can be selected correctly with
>    NotShowIn=GNOME;KDE;Unity;MATE; etc.
>    this is a minor change that could be attempted even at devuan level to ensure that different DE's
>    installed play along nice.

I really doubt we can or would implement this in Devuan. The issue is that these
are not forked packages. We use them directly from Debian. We have no control
over them.

I think your best course of action is to add your voice to #899377 and push for
a resolution there.

Sorry not to be able to be more helpful.

Mark